Subject: [PATCH/RFC 00/10] suspend to disk for powermac G5

From: Johannes Berg <[email-masked]>
Date: Mon, 05 Feb 2007 19:30:27 +0100

Hi!

Here's my latest patchset for suspend to disk on powermac. It also contains
a whole bunch of cleanups and fixes in various other places some of which
are CCed to Andrew (who will hopefully put them into -mm).

Other than that, thanks to the mpic resume/suspend code it appears to work
quite well. Thanks to Michael Buesch for testing with PREEMPT enabled which
uncovered another bug with cpu "hotplug" (where I still don't understand why
the preempt_count is messed up on resume but not when I put a CPU off- and
online via sysfs.)

To actually get proper suspend for a G5 powermac with an Onyx codec you need
to apply the patch at http://patchwork.ozlabs.org/linuxppc/patch?id=8683

Any comments are appreciated, especially on the patch that actually
implements the snapshot code ("powermac: suspend to disk on G5.")

johannes